> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles



## OpenAPI

````yaml /api-reference/openapi.json get /v1/roles
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/roles:
    get:
      tags:
        - Team
      summary: List Roles
      operationId: apps_organization_api_team_list_roles
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleList'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    RoleList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RoleOut'
          title: Data
          type: array
      required:
        - data
      title: RoleList
      type: object
    RoleOut:
      properties:
        name:
          title: Name
          type: string
        scopes:
          items:
            type: string
          title: Scopes
          type: array
      required:
        - name
        - scopes
      title: RoleOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.